Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025979
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2014-03-13 00:022014-05-07 18:11
ReporterjecharriView Statuspublic 
Assigned Toeduardo_Argal 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchpiFixed in SCM revisiond80d8cd8e39b
ProjectionnoneETAnoneTarget Version3.0PR14Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version3.0MP31.2SCM revision 
Review Assigned To
Web browserGoogle Chrome
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0025979: Impossible to post a reconciliation

DescriptionImpossible to post a reconciliation
Steps To Reproduce-Configure Cash_VAT_Management
-Create an invoice with 2 taxes
-The sum of one tax must be 0. To be able to get this situation you will need to add a line with line total 0
-Create a payment and also transaction
-Reconciliate the transaction

Verify that it is impossible to post that reconciliation.

The error happens in java "src/org/openbravo/erpCommon/utility/CashVATUtil.java" line "nextSeqNo(factLine1.m_SeqNo), documentType, conn);" because factLine1 is null
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0066206)
hgbot (developer)
2014-04-07 14:03

Repository: erp/devel/pi
Changeset: d80df926f9baee0d51001dbdcf63f240fb9c00ba
Author: Eduardo Argal Guibert <eduardo.argal <at> openbravo.com>
Date: Mon Apr 07 14:03:23 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/d80df926f9baee0d51001dbdcf63f240fb9c00ba [^]

Fixes issue 25979: Impossible to post a reconciliation

---
M src/org/openbravo/erpCommon/utility/CashVATUtil.java
---
(0066361)
dmiguelez (developer)
2014-04-11 15:01

Code Review + Testing Ok
(0066378)
hgbot (developer)
2014-04-14 13:33

Repository: erp/devel/pi
Changeset: d80d8cd8e39bd3e787a52226d8aa04450028affb
Author: Eduardo Argal Guibert <eduardo.argal <at> openbravo.com>
Date: Mon Apr 14 13:32:27 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/d80d8cd8e39bd3e787a52226d8aa04450028affb [^]

Fixes bug 25979: Impossible to post a reconciliation

---
M src/org/openbravo/erpCommon/utility/CashVATUtil.java
---
(0066401)
dmiguelez (developer)
2014-04-14 18:48

Code Review + Testing Ok
(0066896)
hudsonbot (developer)
2014-05-07 18:11

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/02ca2648bcdc [^]
Maturity status: Test
(0066926)
hudsonbot (developer)
2014-05-07 18:11

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/02ca2648bcdc [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-03-13 00:02 jecharri New Issue
2014-03-13 00:02 jecharri Assigned To => dmiguelez
2014-03-13 00:02 jecharri Web browser => Google Chrome
2014-03-13 00:02 jecharri Modules => Core
2014-03-13 00:02 jecharri Triggers an Emergency Pack => No
2014-03-13 00:03 jecharri Assigned To dmiguelez => jonalegriaesarte
2014-04-02 12:04 jonalegriaesarte Target Version => PR14Q3
2014-04-02 12:04 jonalegriaesarte Assigned To jonalegriaesarte => pramakrishnan
2014-04-07 14:02 eduardo_Argal Status new => scheduled
2014-04-07 14:02 eduardo_Argal fix_in_branch => pi
2014-04-07 14:03 hgbot Checkin
2014-04-07 14:03 hgbot Note Added: 0066206
2014-04-07 14:03 hgbot Status scheduled => resolved
2014-04-07 14:03 hgbot Resolution open => fixed
2014-04-07 14:03 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/d80df926f9baee0d51001dbdcf63f240fb9c00ba [^]
2014-04-11 15:01 dmiguelez Note Added: 0066361
2014-04-11 15:01 dmiguelez Status resolved => closed
2014-04-14 13:21 eduardo_Argal Assigned To pramakrishnan => eduardo_Argal
2014-04-14 13:21 eduardo_Argal Status closed => new
2014-04-14 13:21 eduardo_Argal Resolution fixed => open
2014-04-14 13:21 eduardo_Argal Status new => scheduled
2014-04-14 13:33 hgbot Checkin
2014-04-14 13:33 hgbot Note Added: 0066378
2014-04-14 13:33 hgbot Status scheduled => resolved
2014-04-14 13:33 hgbot Resolution open => fixed
2014-04-14 13:33 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/d80df926f9baee0d51001dbdcf63f240fb9c00ba [^] => http://code.openbravo.com/erp/devel/pi/rev/d80d8cd8e39bd3e787a52226d8aa04450028affb [^]
2014-04-14 18:48 dmiguelez Note Added: 0066401
2014-04-14 18:48 dmiguelez Status resolved => closed
2014-05-07 18:11 hudsonbot Checkin
2014-05-07 18:11 hudsonbot Note Added: 0066896
2014-05-07 18:11 hudsonbot Checkin
2014-05-07 18:11 hudsonbot Note Added: 0066926


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker